include/Zycore/Zycore.h(3)

NAME
include/Zycore/Zycore.h

SYNOPSIS

#include <Zycore/Types.h>

  Macros

#define ZYCORE_VERSION 0x0001000500020000ULL
#define ZYCORE_VERSION_MAJOR(version)
#define ZYCORE_VERSION_MINOR(version)
#define ZYCORE_VERSION_PATCH(version)
#define ZYCORE_VERSION_BUILD(version)

  Functions

ZYCORE_EXPORT ZyanU64 ZycoreGetVersion (void)

Detailed Description

Master include file, including everything else.

Macro Definition Documentation

  #define ZYCORE_VERSION 0x0001000500020000ULL
A macro that defines the zycore version.

  #define ZYCORE_VERSION_BUILD( version)
Value:
(version & 0x000000000000FFFF)

Extracts the build-part of the zycore version.

Parameters
    version The zycore version value

  #define ZYCORE_VERSION_MAJOR( version)
Value:
((version & 0xFFFF000000000000) >> 48)

Extracts the major-part of the zycore version.

Parameters
    version The zycore version value

  #define ZYCORE_VERSION_MINOR( version)
Value:
((version & 0x0000FFFF00000000) >> 32)

Extracts the minor-part of the zycore version.

Parameters
    version The zycore version value

  #define ZYCORE_VERSION_PATCH( version)
Value:
((version & 0x00000000FFFF0000) >> 16)

Extracts the patch-part of the zycore version.

Parameters
    version The zycore version value

Function Documentation

  ZYCORE_EXPORT ZyanU64 ZycoreGetVersion (void )
Returns the zycore version.

Returns
    The zycore version.

Use the macros provided in this file to extract the major, minor, patch and build part from the returned version value.

Author

Generated automatically by Doxygen for Zycore from the source code.